## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-androguard
# Newer versions require Frida which is not yet packaged.
# Currently the main dependency is fdroidserver which uses
# this version
Version:        3.4.0a1
Release:        %autorelease
Summary:        Reverse engineering and pentesting for Android applications

License:        Apache-2.0
URL:            https://github.com/androguard/androguard
# The source release contains binaries with unknown licenses and malware
#OriginalSource: %%{url}/archive/v%%{version}/androguard-%%{version}.tar.gz
Source0:         androguard-%{version}-clean.tar.gz
# script to remov binaries from source code
Source1:         clean.sh

BuildArch:      noarch
BuildRequires:  python3-devel
# Documentation
BuildRequires:  make
BuildRequires:  texinfo
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-sphinxcontrib-programoutput
BuildRequires:  tree

%global _description %{expand:
Androguard is a full python tool to play with Android files.
- DEX, ODEX
- APK
- Android's binary xml
- Android resources
- Disassemble DEX/ODEX bytecodes
- Basic Decompiler for DEX/ODEX files
- Frida support for easy dynamic analysis
- SQLite database to save the session}

%description %_description

%package -n     python3-androguard
Summary:        %{summary}

%description -n python3-androguard %_description


%prep
%autosetup -p1 -n androguard-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
pushd docs
make texinfo
tree .
pushd build
pushd texinfo
makeinfo --docbook Androguard.texi
tree .
popd
popd
popd

%install
%pyproject_install
%pyproject_save_files -l androguard
mkdir -p %{buildroot}%{_datadir}/help/en/Androguard
install -p -m644 docs/build/texinfo/Androguard.xml %{buildroot}%{_datadir}/help/en/Androguard
install -p -m644 docs/build/texinfo/Androguard-figures -D %{buildroot}%{_datadir}/help/en/Androguard/

%check
%pyproject_check_import


%files -n python3-androguard -f %{pyproject_files}
%dir  %{_datadir}/help/en
%lang(en) %{_datadir}/help/en/androguard

%changelog
## START: Generated by rpmautospec
* Tue Apr 22 2025 John Doe <packager@example.com> - 3.4.0a1-1
- Uncommitted changes
## END: Generated by rpmautospec
